Subject: Re: bug#28656: 26.0.60; hl-line-mode causes jittery point movement in terminal

From: Aaron Jensen <[email-masked]>
Date: Sun, 1 Oct 2017 12:04:13 -0400

On October 1, 2017 at 8:32:50 AM, Eli Zaretskii
([email-masked](mailto:[email-masked])) wrote:

> > From: Aaron Jensen
> > Date: Sat, 30 Sep 2017 15:39:45 -0400
> >
> > I should also mention that the same behavior is observed when holding
> > ‘C-n’ while marking several lines. Anything that draws that overlay
> > causes the frame skipping and/or latency.
>
> I tried reproducing this on GNU/Linux and on MS-Windows, but saw
> nothing like you describe. So I guess it's either mac-specific or
> caused by something local on your system.
>
> Thanks.

Thank you Eli, I looked into my terminal emulator, iTerm2 and found this:

https://gitlab.com/gnachman/iterm2/issues/5941

I changed my “refresh rate during high throughput conditions” to 60fps
and that improved things:

https://screenshots-dx37.s3.amazonaws.com/20171001-090052-l2hfo.mp4

I do not think that this is an emacs bug, please close it.

Thanks!

Aaron